Subject: Re: linux-next: build warning after merge of the phy-next tree

From: Kishon Vijay Abraham I <[email-masked]>
Date: Thu, 24 Aug 2017 13:31:43 +0530

Stephen,

On Thursday 24 August 2017 10:53 AM, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Tue, 22 Aug 2017 15:07:33 +1000 Stephen Rothwell <[email-masked]> wrote:
>>
>> Hi Kishon,
>>
>> After merging the phy-next tree, today's linux-next build (x86_64
>> allmodconfig) produced this warning:
>>
>> drivers/phy/ralink/phy-ralink-usb.c: In function 'ralink_usb_phy_probe':
>> drivers/phy/ralink/phy-ralink-usb.c:195:13: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
>>   phy->clk = (u32) match->data;
>>              ^
>>
>> Introduced by commit
>>
>>   2411a736ff09 ("phy: ralink-usb: add driver for Mediatek/Ralink")
> 
> I now get this warning after merging the usb tree ...

I've now sent a patch from Arnd to fix it.

Thanks
Kishon